using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CFQuery_Reassembler {
    public partial class MainForm : Form {
        public MainForm() {
            InitializeComponent();
            this.Icon = CFQuery_Reassembler.Properties.Resources.CFQuery_Reassembler_Icon;
        }

        /*
         * 
         * TODO:
         *  Option to wrap/nowrap text
         *  Fix left whitespace for spaces (already works for tabs)
         *  Link to dopefly info page (also, create dopefly info page)
         * 
         */

        private QueryTextReassembler reassembler = new QueryTextReassembler();

        private void originalQuery_TextChanged(object sender, EventArgs e) {
            reassembler.OriginalText = this.OriginalText.Text;
        }

        private void tabPage2_Click(object sender, EventArgs e) {
            this.query_textBox.Text = reassembler.ReassembledQuery;
            this.cfquery_textBox.Text = reassembler.ReassembledCFQuery;
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e) {
            InfoFormHTML infoPopup = new InfoFormHTML();
            infoPopup.HTMLContent = Properties.Resources.AboutHTML;
            infoPopup.ShowDialog(this);
        }

        private void whatIsThisToolStripMenuItem_Click(object sender, EventArgs e) {
            InfoFormHTML infoPopup = new InfoFormHTML();
            infoPopup.HTMLContent = Properties.Resources.WhatIsThisHTML;
            infoPopup.ShowDialog(this);
        }

        private void whatDoICopyToolStripMenuItem_Click(object sender, EventArgs e) {
            InfoFormHTML infoPopup = new InfoFormHTML();
            infoPopup.HTMLContent = Properties.Resources.WhatDoICopyHTML;
            infoPopup.ShowDialog(this);
        }

    }
}